package com.wissamfawaz;

import java.io.InputStream;
import java.net.URL;

import org.json.JSONArray;
import org.json.JSONObject;
import org.json.JSONTokener;

public class Main {

	public static void main(String[] args) throws Exception {
		URL url = new URL("https://earthquake.usgs.gov/earthquakes/feed/v1.0/summary/4.5_month.geojson");
		InputStream is = url.openStream();

		StringBuilder sb = new StringBuilder();
		JSONTokener tokener = new JSONTokener(is);
		JSONObject mainObject = new JSONObject(tokener);
		JSONArray featuresArray = mainObject.getJSONArray("features");
		JSONObject featureObject, propertiesObject;
		String place;
		double mag;
		
		for(int idx = 0; idx < featuresArray.length(); idx++) {
			featureObject = featuresArray.getJSONObject(idx);
			propertiesObject = featureObject.getJSONObject("properties");
			place = propertiesObject.getString("place");
			mag = propertiesObject.getDouble("mag");
			
			sb.append("Earthquake#" + (idx + 1) + ":\n");
			sb.append("Place: " + place + "\n");
			sb.append("Magnitude: " + mag + "\n");
		}
		
		System.out.println(sb);
		
		
		
		
		
		
		
		
		
	}

}
